Name:          zenity
Version:       4.0.0
Release:       1
Summary:       Display GTK dialog boxes in commandline and shell scripts

License:       LGPLv2+
URL:           https://wiki.gnome.org/Projects/Zenity
Source:        https://download-fallback.gnome.org/sources/%{name}/4.0/%{name}-%{version}.tar.xz


BuildRequires: gcc pkgconfig(gtk+-3.0) >= 3.0.0 help2man which gettext intltool itstool meson
BuildRequires: desktop-file-utils pkgconfig(libadwaita-1) >= 1.2

%description
Zenity is a tool that allows you to display GTK dialog boxes in commandline and shell scripts.

%package_help

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%find_lang zenity --with-gnome

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.Zenity.desktop

%files -f zenity.lang
%exclude %{_bindir}/gdialog
%license COPYING
%doc AUTHORS NEWS README.md
%{_bindir}/zenity
%{_datadir}/applications/org.gnome.Zenity.desktop
%{_datadir}/icons/hicolor/48*48/apps/zenity.png

%files help
%{_mandir}/man1/zenity.1*

%changelog
* Wed Dec 27 2023 konglidong <konglidong@uniontech.com> - 4.0.0-1
- update to 4.0.0

* Fri Nov 10 2023 lvgenggeng <lvgenggeng@uniontech.com> - 3.99.2-1
- Upgrade to 3.99.2

* Wed Jul 19 2023 zhangpan <zhangpan103@h-partners.com> - 3.99.0-1
- Upgrade to 3.99.0

* Mon Jun 6 2022 lin zhang <lin.zhang@turbolinux.com.cn> - 3.42.1-1
- Upgrade to 3.42.1

* Sat Dec 04 2021 wangkerong <wangkerong@huawei.com> - 3.41.0-1
- update to 3.41.0

* Mon Sep 7 2020 zhanzhimin <zhanzhimin@huawei.com> - 3.32.0-2
- update source0

* Mon Jul 20 2020 chnegguipeng<chnegguipeng1@huawei.com> - 3.32.0-1
- Upgrade to 3.32.0-1

* Thu Sep 12 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.30.0-2
- Package init
